# $Revision: 1.5 $, $Date: 2004/05/06 18:43:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	FixedPrecision
Summary:	Math::FixedPrecision - decimal math without floating point errors
Summary(pl):	Math::FixedPrecision - obliczenia dziesitne bez bdw zmiennoprzecinkowych
Name:		perl-Math-FixedPrecision
Version:	0.21
Release:	1
License:	GPL v1+ or Artistic except commercial distribution on CD-ROM etc.
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3999a0e6ca3b6ad73f25466af6025c7f
Patch0:		%{name}-perl_paths.patch
BuildRequires:	perl-Math-BigInt
BuildRequires:	perl(Math::BigFloat) >= 1.27
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl(Math::BigFloat) >= 1.27
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_noautoreq	perl(Math::BigFloat(1.27))

%description
There are numerous instances where floating point math is unsuitable,
yet the data does not consist solely of integers. This module employs
new features in Math::BigFloat to automatically maintain precision
during math operations. This is a convenience module, since all of the
operations are handled by Math::BigFloat internally. You could do
everything this module does by setting some attributes in
Math::BigFloat. This module simplifies that task by assuming that if
you specify a given number of decimal places in the call to new() then
that should be the precision for that object going forward.

%description -l pl
Jest wiele sytuacji, gdzie obliczenia zmiennoprzecinkowe nie s
odpowiednie, chocia dane nie skadaj si z samych liczb cakowitych.
Ten modu dodaje nowe moliwoci do moduu Math::BigFloat, aby ten
automatycznie oblicza dokadno w czasie oblicze. Jest to wygodny
modu, poniewa wszystkie operacje s wykonywane wewntrznie przez
Math::BigFloat. Mona robi wszystko z tym moduem ustawiajc atrybuty
w Math::BigFloat. Ten modu upraszcza zadanie przyjmujc, e jeli
liczba znaczcych cyfr dziesitnych zostaa podana w wywoaniu new(),
to taka dokadno powinna by potem wszdzie uywana w odniesieniu do
tego obiektu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Math/FixedPrecision.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-FixedPrecision.spec,v $
Revision 1.5  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/20 23:59:36  ankry
- ported to new bconds

Revision 1.3  2003/12/04 00:08:04  twittner
- fix requires

Revision 1.2  2003/12/03 23:16:41  twittner
- fix perl paths

Revision 1.1  2003/06/29 16:11:42  qboosh
- new

